package cn.cecep.talroad.vo;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;


/**
 * 废气监测数据对象 s_env_gas_mon_real
 *
 * @author szhpt
 * @date 2023-04-06*/
@ApiModel(value = "废气监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_env_gas_mon_real")
public class WarningEnvGasMonRealVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id */
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "数据类型（日：d；小时：h；分钟：m）")
    /** 数据类型（日：d；小时：h；分钟：m） */
    @Excel(name = "数据类型", readConverterExp = "日=：d；小时：h；分钟：m")
    private String dataType;


    @ApiModelProperty(value = "日期")
    /** 日期 */
    @Excel(name = "日期")
    private String monitoringTime;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private BigDecimal so2;


    @ApiModelProperty(value = "二氧化硫折算")
    /** 二氧化硫折算 */
    @Excel(name = "二氧化硫折算")
    private BigDecimal so2Convert;


    @ApiModelProperty(value = "二氧化硫排放量")
    /** 二氧化硫排放量 */
    @Excel(name = "二氧化硫排放量")
    private BigDecimal so2Emission;


    @ApiModelProperty(value = "氮氧化物")
    /** 氮氧化物 */
    @Excel(name = "氮氧化物")
    private BigDecimal nox;


    @ApiModelProperty(value = "氮氧化物折算")
    /** 氮氧化物折算 */
    @Excel(name = "氮氧化物折算")
    private BigDecimal noxConvert;


    @ApiModelProperty(value = "氮氧化物排放量")
    /** 氮氧化物排放量 */
    @Excel(name = "氮氧化物排放量")
    private BigDecimal noxEmission;


    @ApiModelProperty(value = "一氧化氮")
    /** 一氧化氮 */
    @Excel(name = "一氧化氮")
    private BigDecimal no;


    @ApiModelProperty(value = "一氧化氮折算")
    /** 一氧化氮折算 */
    @Excel(name = "一氧化氮折算")
    private BigDecimal noConvert;


    @ApiModelProperty(value = "一氧化氮排放量")
    /** 一氧化氮排放量 */
    @Excel(name = "一氧化氮排放量")
    private BigDecimal noEmission;


    @ApiModelProperty(value = "二氧化氮")
    /** 二氧化氮 */
    @Excel(name = "二氧化氮")
    private BigDecimal no2;


    @ApiModelProperty(value = "二氧化氮折算")
    /** 二氧化氮折算 */
    @Excel(name = "二氧化氮折算")
    private BigDecimal no2Convert;


    @ApiModelProperty(value = "二氧化氮排放量")
    /** 二氧化氮排放量 */
    @Excel(name = "二氧化氮排放量")
    private BigDecimal no2Emission;


    @ApiModelProperty(value = "烟尘")
    /** 烟尘 */
    @Excel(name = "烟尘")
    private BigDecimal smokeDust;


    @ApiModelProperty(value = "烟尘折算")
    /** 烟尘折算 */
    @Excel(name = "烟尘折算")
    private BigDecimal smokeDustConvert;


    @ApiModelProperty(value = "烟尘排放量")
    /** 烟尘排放量 */
    @Excel(name = "烟尘排放量")
    private BigDecimal smokeDustEmission;


    @ApiModelProperty(value = "颗粒物实测")
    /** 颗粒物实测 */
    @Excel(name = "颗粒物实测")
    private BigDecimal pm;


    @ApiModelProperty(value = "颗粒物折算")
    /** 颗粒物折算 */
    @Excel(name = "颗粒物折算")
    private BigDecimal pmConvert;


    @ApiModelProperty(value = "颗粒物排放量")
    /** 颗粒物排放量 */
    @Excel(name = "颗粒物排放量")
    private BigDecimal pmEmission;


    @ApiModelProperty(value = "vocs实测")
    /** vocs实测 */
    @Excel(name = "vocs实测")
    private BigDecimal vocs;


    @ApiModelProperty(value = "vocs折算")
    /** vocs折算 */
    @Excel(name = "vocs折算")
    private BigDecimal vocsConvert;


    @ApiModelProperty(value = "vocs排放量")
    /** vocs排放量 */
    @Excel(name = "vocs排放量")
    private BigDecimal vocsEmission;


    @ApiModelProperty(value = "氧气含量")
    /** 氧气含量 */
    @Excel(name = "氧气含量")
    private BigDecimal o3;


    @ApiModelProperty(value = "废气")
    /** 废气 */
    @Excel(name = "废气")
    private BigDecimal oxygen;


    @ApiModelProperty(value = "烟气温度")
    /** 烟气温度 */
    @Excel(name = "烟气温度")
    private BigDecimal smokeDustTem;


    @ApiModelProperty(value = "烟气压力")
    /** 烟气压力 */
    @Excel(name = "烟气压力")
    private BigDecimal smokeDustPressure;


    @ApiModelProperty(value = "烟气流速")
    /** 烟气流速 */
    @Excel(name = "烟气流速")
    private BigDecimal smokeDustFlowVelocity;


    @ApiModelProperty(value = "烟气湿度")
    /** 烟气湿度 */
    @Excel(name = "烟气湿度")
    private BigDecimal smokeDustHumidity;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("outletId", getOutletId())
            .append("dataType", getDataType())
            .append("monitoringTime", getMonitoringTime())
            .append("so2", getSo2())
            .append("so2Convert", getSo2Convert())
            .append("so2Emission", getSo2Emission())
            .append("nox", getNox())
            .append("noxConvert", getNoxConvert())
            .append("noxEmission", getNoxEmission())
            .append("no", getNo())
            .append("noConvert", getNoConvert())
            .append("noEmission", getNoEmission())
            .append("no2", getNo2())
            .append("no2Convert", getNo2Convert())
            .append("no2Emission", getNo2Emission())
            .append("smokeDust", getSmokeDust())
            .append("smokeDustConvert", getSmokeDustConvert())
            .append("smokeDustEmission", getSmokeDustEmission())
            .append("pm", getPm())
            .append("pmConvert", getPmConvert())
            .append("pmEmission", getPmEmission())
            .append("vocs", getVocs())
            .append("vocsConvert", getVocsConvert())
            .append("vocsEmission", getVocsEmission())
            .append("o3", getO3())
            .append("oxygen", getOxygen())
            .append("smokeDustTem", getSmokeDustTem())
            .append("smokeDustPressure", getSmokeDustPressure())
            .append("smokeDustFlowVelocity", getSmokeDustFlowVelocity())
            .append("smokeDustHumidity", getSmokeDustHumidity())
            .toString();
    }
}
